Summary:   RPM Package for ASPEED Graphics DRM Driver
Name:      ast-drm
Version: 1.11
Release: 3
License:   GPL
Group:     ASPEED Technology Inc.
Source:    ast_src.tar.gz
Url:       http://www.aspeedtech.com
Packager:  Y.C. Chen

%global debug_package %{nil}

%define _rpmfilename %%{NAME}.%%{Version}.%%{Release}.rpm
%define kver %(uname -r)
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc

%description
RPM Package for ASPEED Graphics DRM Driver

%prep

%setup -c

%build
cd src
make clean
make modules
make modules_install

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/modules/%{kver}/kernel/drivers/gpu/drm/ast
cp /lib/modules/%{kver}/extra/ast.ko %{buildroot}/lib/modules/%{kver}/kernel/drivers/gpu/drm/ast/ast.ko
depmod -a

%files
/lib/modules/%{kver}/kernel/drivers/gpu/drm/ast/ast.ko


